25960002 check-hostname should exit 1 when unhappy
authorJohn Beck <John.Beck@Oracle.COM>
Wed, 26 Apr 2017 16:46:20 -0700
changeset 7951 3b581304cb26
parent 7950 50d75ee82dad
child 7952 b54192113df3
25960002 check-hostname should exit 1 when unhappy
components/sendmail/files/check-hostname.sh
components/sendmail/files/man/check-hostname.8
exception_lists/cddlchk
--- a/components/sendmail/files/check-hostname.sh	Fri Mar 24 12:29:03 2017 -0500
+++ b/components/sendmail/files/check-hostname.sh	Wed Apr 26 16:46:20 2017 -0700
@@ -20,12 +20,12 @@
 # CDDL HEADER END
 #
 
+#
 # Check hostname configuration as per the sendmail code.
 #
-# See http://www.sendmail.org/sun-specific/migration.html#FQHN for details.
+
 #
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
+# Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
 #
 
 PATH=/bin:/usr/sbin
@@ -111,7 +111,7 @@
 		echo "adding the /etc/hosts entry:\n"
 	fi
 	echo "$myipaddr $myhost $myhost.$suggested_domain $*"
-	exit 0
+	exit 1
 }
 
 # Fall back to the NIS domain, minus the first label.  If it is non-null,
--- a/components/sendmail/files/man/check-hostname.8	Fri Mar 24 12:29:03 2017 -0500
+++ b/components/sendmail/files/man/check-hostname.8	Wed Apr 26 16:46:20 2017 -0700
@@ -1,6 +1,6 @@
 '\" te
-.\" Copyright (c) 2006, 2016, Oracle and/or its affiliates. All rights reserved.
-.TH check-hostname 8 "8 Mar 2016" "SunOS 5.11" "System Administration Commands"
+.\" Copyright (c) 2006, 2017, Oracle and/or its affiliates. All rights reserved.
+.TH check-hostname 8 "26 Apr 2017" "SunOS 5.11" "System Administration Commands"
 .SH NAME
 check-hostname \- check if sendmail can determine the system's fully-qualified host name
 .SH SYNOPSIS
@@ -47,6 +47,31 @@
 Configuration file for name server routines
 .RE
 
+.SH EXIT STATUS
+.sp
+.LP
+.sp
+.ne 2
+.mk
+.na
+\fB\fB0\fR\fR
+.ad
+.RS 6n
+.rt
+Fully-qualified host name was determined.
+.RE
+
+.sp
+.ne 2
+.mk
+.na
+\fB\fB>0\fR\fR
+.ad
+.RS 6n
+.rt
+Fully-qualified host name could not be determined.
+.RE
+
 .SH ATTRIBUTES
 .sp
 .LP
--- a/exception_lists/cddlchk	Fri Mar 24 12:29:03 2017 -0500
+++ b/exception_lists/cddlchk	Wed Apr 26 16:46:20 2017 -0700
@@ -6,6 +6,18 @@
 
 components/**/Makefile
 components/**.p5m
+components/sendmail/files/aliases
+components/sendmail/files/aux/Makefile
+components/sendmail/files/aux/mailq.c
+components/sendmail/files/cf/cf/Makefile
+components/sendmail/files/check-hostname.sh
+components/sendmail/files/check-permissions.sh
+components/sendmail/files/init.d-sendmail
+components/sendmail/files/sendmail-client
+components/sendmail/files/sendmail-client.xml
+components/sendmail/files/sendmail_include.sh
+components/sendmail/files/smtp-sendmail
+components/sendmail/files/smtp-sendmail.xml
 make-rules/*
 tools/*
 transforms/*